PacketFence
Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001145PacketFencecorepublic2010-12-21 15:272015-02-16 18:29
Reporterfgaudreault 
Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001145: IPv6 Support
DescriptionSince we all know that it's inevitable IPv6 will come into real production soon (well in 2 to 5 years), I guess it would be a wise idea to start looking at it, just to be ahead of the wave.
TagsNo tags attached.
fixed in git revision
fixed in mtn revision
Attached Files

- Relationships

-  Notes
(0002475)
obilodeau (reporter)
2011-12-21 13:52

places needing fixing:
pf::config's _fetch_virtual_ip()
(0002486)
chiwawa_42 (reporter)
2011-12-29 08:32

required IPv6 feature set :
- Implement NDP / RA filtering on switches supporting PACL but not RA-Guard (RFC 6105)
- Use NDPMon (similar to ARPWatch) for monitoring
- Enforce loose (counter-RA) or strict (+port shutdown) policy on rogue-RA detection
- Implement DHCPv6 snooping and/or stateless option server (coupled to 802.1x auth process)
- OS validation for IPv6 capabilities to eventually disable IPv6 trafic for incapable hosts (DHCPv6 only on 7 and Lion, RA-flood bug on XP...)
(0003344)
Xen0Phage (reporter)
2013-07-22 21:01

Adding a ping here. IPv6 is a reality for some of us and our NAC solution needs to be v6 aware. Is there a roadmap for v6 support?
(0003493)
neptuneIS (reporter)
2014-01-24 11:33

+1

We are now in active R&D phase for our new network control infrastructure, and pf is our 1st candidate.
However, the lack of ipv6 support is a serious issue for us.

We would be glad to contribute, if there is any ongoing tasks on the subject.
(0003844)
swittst (reporter)
2015-02-16 18:29

Adding my 2cents. Packetfence is our NAC of the future... depending on an IPv6 solution. We've been monitoring and testing Packetfence since Dec. '09, the regular feature development work has been impressive. The lack of IPv6 information though is a head scratcher. IPv6 is gaining serous momentum in North America, now that the IPv4 space has been exhausted.

- Issue History
Date Modified Username Field Change
2010-12-21 15:27 fgaudreault New Issue
2010-12-21 15:28 fgaudreault Target Version => 3
2010-12-21 15:28 fgaudreault Description Updated
2011-09-21 22:08 obilodeau Target Version 3.0.0 => +2
2011-12-21 13:52 obilodeau Note Added: 0002475
2011-12-29 08:32 chiwawa_42 Note Added: 0002486
2012-02-29 10:58 obilodeau Category future => core
2013-07-22 21:01 Xen0Phage Note Added: 0003344
2014-01-24 11:33 neptuneIS Note Added: 0003493
2015-02-16 18:29 swittst Note Added: 0003844


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker